%global pkg_name        Chart-Clicker
%global pkg_version     1.4.0
%global rpm_pkg_version 1.4.0
%global rpm_pkg_release 1.n0i.6

Summary:       Powerful, extensible charting
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GP/GPHAT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Cairo)                 >= 1.00
BuildRequires: perl(Class::Accessor::Fast) >= 0.31
BuildRequires: perl(Chart::Math::Axis)     >= 1.01
BuildRequires: perl(DateTime)              >= 0.36
BuildRequires: perl(DateTime::Set)         >= 0.25
BuildRequires: perl(Moose)                 >= 0.25

Requires:      perl(Cairo)                 >= 1.00
Requires:      perl(Chart::Math::Axis)     >= 1.01
Requires:      perl(Class::Accessor::Fast) >= 0.31
Requires:      perl(DateTime)              >= 0.36
Requires:      perl(DateTime::Set)         >= 0.25
Requires:      perl(Moose)                 >= 0.25

# skip non-versioned dependencies
%global perl_filter_req 'perl\\((Cairo|Chart::Math::Axis|Class::Accessor::Fast|DateTime|DateTime::Set|Moose)\\)$'


%description
Chart::Clicker aims to be a powerful, extensible charting package
that creates really pretty output using Cairo graphics library.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build -- --skipdeps}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%exclude %{perl_vendorlib}/Chart/*.pl
%doc Changes LICENSE README 


%changelog
* Sun Oct 21 2007 Marius Feraru <altblue@n0i.net> - 1.4.0-1.n0i.6
- version 1.4.0

* Tue Oct 16 2007 Marius Feraru <altblue@n0i.net> - 1.3.0-1.n0i.5
- version 1.3.0

* Fri Oct 12 2007 Marius Feraru <altblue@n0i.net> - 1.2.3-1.n0i.4
- version 1.2.3
- updated BRs
- filtered out non-versioned dependencies

* Sun Oct 07 2007 Marius Feraru <altblue@n0i.net> - 1.2.2-1.n0i.3
- version 1.2.2

* Fri Oct 05 2007 Marius Feraru <altblue@n0i.net> - 1.2.1-1.n0i.2
- version 1.2.1

* Mon Sep 03 2007 Marius Feraru <altblue@n0i.net> - 1.1.8-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 1.1.8
